ru.bitel.oss.systems.inventory.resource.server.bean

## Class PhoneResourceSubscriptionDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<PhoneResourceSubscription>
    - - ru.bitel.oss.systems.inventory.resource.server.bean.PhoneResourceSubscriptionDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class PhoneResourceSubscriptionDao
      extends ru.bitel.common.dao.AbstractDao<PhoneResourceSubscription>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhoneResourceSubscriptionDao(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `deleteBySubscriberId(int subscriberId)`
    `protected PhoneResourceSubscription` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<PhoneResourceSubscription>` | `list(int phoneResourceId, java.util.Date dateFrom, java.util.Date dateTo)`
    `java.util.List<PhoneResourceSubscription>` | `list(int phoneResourceId, java.util.Date dateFrom, java.util.Date dateTo, long phone)`
    `Result<PhoneResourceSubscription>` | `list(int phoneResourceId, java.util.Date dateFrom, java.util.Date dateTo, Page page)`
    `java.util.Set<java.lang.Integer>` | `subscribedPnones(int phoneResourceId, java.util.Date dateFrom, java.util.Date dateTo)`
    `protected void` | `updateImpl(PhoneResourceSubscription b)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PhoneResourceSubscriptionDao

          public PhoneResourceSubscriptionDao(java.sql.Connection con,
                                              int moduleId)

  - ### Method Detail

    - #### getFromRS

          protected PhoneResourceSubscription getFromRS(java.sql.ResultSet rs)
                                                 throws java.sql.SQLException,
                                                        ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<PhoneResourceSubscription>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(PhoneResourceSubscription b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<PhoneResourceSubscription>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### subscribedPnones

          public java.util.Set<java.lang.Integer> subscribedPnones(int phoneResourceId,
                                                                   java.util.Date dateFrom,
                                                                   java.util.Date dateTo)
                                                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<PhoneResourceSubscription> list(int phoneResourceId,
                                                                java.util.Date dateFrom,
                                                                java.util.Date dateTo,
                                                                long phone)
                                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<PhoneResourceSubscription> list(int phoneResourceId,
                                                                java.util.Date dateFrom,
                                                                java.util.Date dateTo)
                                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public Result<PhoneResourceSubscription> list(int phoneResourceId,
                                                        java.util.Date dateFrom,
                                                        java.util.Date dateTo,
                                                        Page page)
                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteBySubscriberId

          public int deleteBySubscriberId(int subscriberId)
                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`